CMSIS-DSP: transform_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
transform_functions_f16.h File Reference

## Data Structures

struct | arm_cfft_radix2_instance_f16
| Instance structure for the floating-point CFFT/CIFFT function. More...
struct | arm_cfft_radix4_instance_f16
| Instance structure for the floating-point CFFT/CIFFT function. More...
struct | arm_cfft_instance_f16
| Instance structure for the floating-point CFFT/CIFFT function. More...
struct | arm_rfft_fast_instance_f16
| Instance structure for the floating-point RFFT/RIFFT function. More...
struct | arm_mfcc_instance_f16
| Instance structure for the Floating-point MFCC function. More...

## Functions

arm_status | arm_cfft_init_f16 (arm_cfft_instance_f16 *S, uint16_t fftLen)
| Initialization function for the cfft f16 function. More...
void | arm_cfft_f16 (const arm_cfft_instance_f16 *S, float16_t *p1, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Processing function for the floating-point complex FFT. More...
arm_status | arm_rfft_fast_init_f16 (arm_rfft_fast_instance_f16 *S, uint16_t fftLen)
| Initialization function for the floating-point real FFT. More...
void | arm_rfft_fast_f16 (const arm_rfft_fast_instance_f16 *S, float16_t *p, float16_t *pOut, uint8_t ifftFlag)
| Processing function for the floating-point real FFT. More...
arm_status | arm_cfft_radix4_init_f16 (arm_cfft_radix4_instance_f16 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Initialization function for the floating-point CFFT/CIFFT. More...
void | arm_cfft_radix4_f16 (const arm_cfft_radix4_instance_f16 *S, float16_t *pSrc)
| Processing function for the floating-point Radix-4 CFFT/CIFFT. More...
arm_status | arm_cfft_radix2_init_f16 (arm_cfft_radix2_instance_f16 *S, uint16_t fftLen, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Initialization function for the floating-point CFFT/CIFFT. More...
void | arm_cfft_radix2_f16 (const arm_cfft_radix2_instance_f16 *S, float16_t *pSrc)
| Radix-2 CFFT/CIFFT. More...
arm_status | arm_mfcc_init_f16 (arm_mfcc_instance_f16 *S, uint32_t fftLen, uint32_t nbMelFilters, uint32_t nbDctOutputs, const float16_t *dctCoefs, const uint32_t *filterPos, const uint32_t *filterLengths, const float16_t *filterCoefs, const float16_t *windowCoefs)
| Initialization of the MFCC F16 instance structure. More...
void | arm_mfcc_f16 (const arm_mfcc_instance_f16 *S, float16_t *pSrc, float16_t *pDst, float16_t *pTmp)
| MFCC F16. More...